#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.5
%define		qtver		5.15.2
%define		kpname		breeze-plymouth

Summary:	breeze-plymouth
Name:		kp6-%{kpname}
Version:	6.3.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	c2649c6e3416ab3186e27c4174b0b367
URL:		http://www.kde.org/
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-extra-cmake-modules >= 1.8.0
BuildRequires:	ninja
BuildRequires:	plymouth-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
breeze-plymouth.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/plymouth/breeze-text.so
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/themes/breeze-text
%{_datadir}/plymouth/themes/breeze
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-breeze-plymouth.git;a=log;h=master

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dbabdd1
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e723a41
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 56b83cf
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ad7cc0e
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 999180c
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4d2836b
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> baf81df
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fde6dcd
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 94dd2ff
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d168166
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 27ab143
- updated to 6.2.1

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ef77332
- dirs

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f8c99cb
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 697774b
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2251813
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3eb5d0c
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c963dba
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fd73426
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6b35bc3
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d2094ac
- updated to 6.0.5

